[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ImgList' (#lcl)

# TCustomImageList.Destroy

Destructor for the class instance.

## Declaration

Source position: imglist.pp line 323

`public destructor TCustomImageList.Destroy; override;`

## Description

Destroy is the overridden destructor for the class instance. Destroy ensures that resources allocated to the internal TCustomImageListResolutions instance in the class are freed, and calls the inherited destructor. Destroy calls UnRegisterChanges to remove the TChangeLink items in the internal list of change links for the class, and frees resources allocated to the list.

## See also

TCustomImageList.UnRegisterChanges |  | Unregisters a ChangeLink object for change notifications.
TCustomImageListResolutions |  | Provides multiple image resolutions in TCustomImageList.
TChangeLink |  | Performs notifications when images are added or deleted in TImageList.